import java.io.*;

import javax.servlet.*;
import javax.servlet.http.*;

public class StavovyIndikatorServlet extends HttpServlet {
  private int citac = 1;

  /** Zpracuje poadavek odeslan metodou <code>GET</code>.
  * @param pozadavek poadavek
  * @param odpoved odpov
  */
  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    String ukol = pozadavek.getParameter("ukol");
    String odp = "";
    if (ukol.equals("vytvor")) {
      odp = "<klic>1</klic>";
      citac = 1;
    }
    else {
      String procent = "";
      switch (citac) {
        case 1: procent = "10"; break;
        case 2: procent = "23"; break;
        case 3: procent = "35"; break;
        case 4: procent = "51"; break;
        case 5: procent = "64"; break;
        case 6: procent = "73"; break;
        case 7: procent = "89"; break;
        case 8: procent = "100"; break;
      }
      citac++;
      odp = "<procent>" + procent + "</procent>";
    }
    PrintWriter vystup = odpoved.getWriter();
    odpoved.setContentType("text/xml");
    odpoved.setHeader("Cache-Control", "no-cache");
    vystup.println("<odpoved>");
    vystup.println(odp);
    vystup.println("</odpoved>");
    vystup.close();
  }
}
