import java.io.*;
import java.net.*;
import java.text.ParseException;
import javax.servlet.*;
import javax.servlet.http.*;
import org.json.JSONObject;

public class JSONPriklad extends HttpServlet {

  protected void doPost(HttpServletRequest pozadavek, HttpServletResponse 
    odpoved)
  throws ServletException, IOException {
    String json = ctiJSONRetezecZTelaPozadavku(pozadavek);

    //Pouit knihovny JSON pro Javu pro vytvoen objektu JSON
    JSONObject jsonObjekt = null;
    try {
      jsonObjekt = new JSONObject(json);
    }
    catch(ParseException pe) {
      System.out.println("ParseException: " + pe.toString());
    }
    String odpovedText = "Mte " + jsonObjekt.getInt("vyrobce") + " "
      + jsonObjekt.getString("model") + ", r.v. " + jsonObjekt.getString("rok")
      + ", kter m barvu " + jsonObjekt.getString("barva");
    odpoved.setContentType("text/xml; charset=utf-8");
    odpoved.getWriter().print(odpovedText);
  }

  private String ctiJSONRetezecZTelaPozadavku(HttpServletRequest pozadavek){
    StringBuffer json = new StringBuffer();
    String radek = null;
    try {
      BufferedReader cteni = pozadavek.getReader();
      while((radek = cteni.readLine()) != null) {
        json.append(radek);
      }
    }
    catch(Exception e) {
      System.out.println("Chyba pi ten JSON etzce: " + e.toString());
    }
    return json.toString();
  }
}
