import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class PrikladGetAPost extends HttpServlet {

  protected void zpracujPozadavek(HttpServletRequest pozadavek,
    HttpServletResponse odpoved, String metoda)
  throws ServletException, IOException {
    
    //Nastaven typu obsahu odpovdi na text/xml
    odpoved.setContentType("text/xml");
    
    //Naten vstupu uivatele
    String jmeno = pozadavek.getParameter("jmeno");
    String prijmeni = pozadavek.getParameter("prijmeni");
    String datumNaroz = pozadavek.getParameter("datumNaroz");

    //Vytvoen textu odpovdi
    String textOdpovedi = "Ahoj " + jmeno + " " + prijmeni
      + ". Narodil si se " + datumNaroz + "."
      + " [Metoda: " + metoda + "]";
    
    //Odesln odpovdi prohlei
    PrintWriter vystup = odpoved.getWriter();
    vystup.println(textOdpovedi);

    //Ukonen
    vystup.close();
  }

  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    //Zpracovn poadavku pomoc metody zpracujPozadavek
    zpracujPozadavek(pozadavek, odpoved, "GET");
  }

  protected void doPost(HttpServletRequest pozadavek, HttpServletResponse 
    odpoved)
  throws ServletException, IOException {
    // Zpracovn poadavku pomoc metody zpracujPozadavek
    zpracujPozadavek(pozadavek, odpoved, "POST");
  }
}
