import java.io.*;
import java.util.ArrayList;
import java.util.Iterator;
   import java.util.List;

import javax.servlet.*;
import javax.servlet.http.*;

public class AutomatickeDokoncovaniServlet extends HttpServlet {

  private List jmena = new ArrayList();

  public void init(ServletConfig konfigurace) throws ServletException {
    jmena.add("Adam");
    jmena.add("Adela");
    jmena.add("David");
    jmena.add("Eliska");
    jmena.add("Eva");
    jmena.add("Marie");
    jmena.add("Marketa");
    jmena.add("Martin");
    jmena.add("Tomas");
  }

  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    String prefix = pozadavek.getParameter("jmena");
    SluzbaJmen sluzba = SluzbaJmen.ziskejInstanci(jmena);
    List odpovida = sluzba.vyhledejJmena(prefix);
    if (odpovida.size() > 0) {
      PrintWriter vystup = odpoved.getWriter();
      odpoved.setContentType("text/xml");
      odpoved.setHeader("Cache-Control", "no-cache");
      vystup.println("<odpoved>");
      Iterator iter = odpovida.iterator();
      while(iter.hasNext()) {
        String jmeno = (String) iter.next();
        vystup.println("<jmeno>" + jmeno + "</jmeno>");
      }
      vystup.println("</odpoved>");
      odpovida = null;
      sluzba = null;
      vystup.close();
    } else {
      odpoved.setStatus(HttpServletResponse.SC_NO_CONTENT);
    }
  }
}
