import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;

import javax.servlet.*;
import javax.servlet.http.*;

public class BranaYahooVyhledavaniServlet extends HttpServlet {
  private static final String YAHOO_VYHLED_URL =
    "http://api.search.yahoo.com/WebSearchService/V1/webSearch?"
      + "appid=id_vasi_aplikace" + "&type=all";

  protected void zpracujPozadavek(HttpServletRequest pozadavek,
    HttpServletResponse odpoved)
  throws ServletException, IOException {

    String url = YAHOO_VYHLED_URL + "&" + pozadavek.getQueryString();

    HttpURLConnection spoj = (HttpURLConnection)new URL(url).openConnection();
    spoj.setDoInput(true);
    spoj.setDoOutput(true);
    spoj.setRequestMethod("GET");

    //odesln odpovdi prohlei
    odpoved.setStatus(spoj.getResponseCode());
    odpoved.setContentType("text/xml");
    BufferedReader cteni =
      new BufferedReader(new InputStreamReader(spoj.getInputStream()));
    String vstup = null;
    OutputStream vystup = odpoved.getOutputStream();
    while((vstup = cteni.readLine()) != null) {
      vystup.write(vstup.getBytes());
    }
  }

  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    zpracujPozadavek(pozadavek, odpoved);
  }
}
