package ajaxdashboard.servlet;

import ajaxdashboard.sluzba.SluzbaPredpovediPocasi;
import java.io.*;
import java.util.Date;

import javax.servlet.*;
import javax.servlet.http.*;

public class AktualizujPredpovedPocasiServlet extends HttpServlet {
  protected void zpracujPozadavek(HttpServletRequest pozadavek, 
    HttpServletResponse odpoved)
  throws ServletException, IOException {

    String zipKod = pozadavek.getParameter("zipKodPredpovedi");
    SluzbaPredpovediPocasi predpovedSluzba = new SluzbaPredpovediPocasi();
    pozadavek.setAttribute("predpovedData",
      predpovedSluzba.ziskejPredpovedPro(zipKod));
    System.out.println("Předpověď aktualizována: " + new Date().toString());
    pozadavek.getRequestDispatcher("/jsp/pocasi/predpovedPocasiAjax.jsp")
      .forward(pozadavek, odpoved);
  }

  protected void doGet(HttpServletRequest pozadavek, HttpServletResponse odpoved)
  throws ServletException, IOException {
    zpracujPozadavek(pozadavek, odpoved);
  }

  protected void doPost(HttpServletRequest pozadavek, 
    HttpServletResponse odpoved)
  throws ServletException, IOException {
    zpracujPozadavek(pozadavek, odpoved);
  }
}

